Subject: [amos-list] Re: New game? Or Fantasy...
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Wed, 21 Jul 1999 18:37:28 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

> Do you all remember "Firepower"?  That tank game where you go
> capture the opponent's flag and make it back to base to win...
> Well, I'm thinking a doing a 'remake'.  There is actually a nice
> game called Firepower on Aminet which was made in AMOS, but this
> lacks a lot of things.

   Never played it, but I have played games like it.

> Firstly, I've been planning for your tank to be controlled with
> the keyboard (that the body, direction bit), but then you can use
> the mouse to control the aiming of the turret!  It might sound
> strange, but I lurrrrrve the idea.

   Like Snes SmashTV eh? You should have an option to use a CD32 pad: + pad to move the tank and the buttons to fire in the resective direction, as this'd make it easy to 2player.

(or use two joysticks, and have support for the 4pl adapter)

   And if you had two keyboard players, then you could have 4 human players which would be even better ;)

> I was thinking of having "hills" over which to drive, with slopes
> changing the angle of driving, aiming, etc.  How to do this
> escapes me at the moment... but it sounds nifty.

   Well, you'd have to store the Z level of the tanks too, and move the shots in Z as well. 

   Although, this may not help gameplay, by making it hard to judge shots etc.
 
> The big clincher though would be Net play, which is why I was
> asking those questions earlier.   I want to have Net play, and the
> ability to have "mugshots" of yourself which gets sent to whoever
> you play with..... and you get theirs.

   If I ever work it out, I'l detail it to everyone. (First you should get it working via a serial link though...)

> Then maybe split two-player on same comp.  With different types of
> games.... deathmatch, capture flag, co-op, etc.

   use screencopy to have 4 players, even better ;)

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
          Http://mantasoft.aio.co.uk/      ICQ: 21829166
         Homepage updated 1/7/99 --- James Bond, Out Now!
  - ------------------- Quote of the day: -------------------- -
The most common first name in the world is Mohammed.
--The Miscellanea Digest

--------------------------- ONElist Sponsor ----------------------------

Having difficulty getting "in synch" with list members? 
http://www.onelist.com
Try ONElist's Shared Calendar to organize events, meetings and more!

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html